Skip to main content
`Ctrl`+`K`

# PetscDualSpaceTransformGradient

Transform the function gradient values

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceTransformGradient(PetscDualSpace dsp, PetscDualSpaceTransformType trans, PetscBool isInverse, PetscFEGeom *fegeom, PetscInt Nv, PetscInt Nc, PetscScalar vals[])

## Input Parameters

- dsp - The `PetscDualSpace`

- trans - The type of transform

- isInverse - Flag to invert the transform

- fegeom - The cell geometry

- Nv - The number of function gradient samples

- Nc - The number of function components

- vals - The function gradient values

## Output Parameter

- vals - The transformed function gradient values

## Note

This only handles transformations when the embedding dimension of the geometry in fegeom is the same as the reference dimension.

## See Also

`PetscDualSpace`, `PetscDualSpaceTransform()`, `PetscDualSpacePullback()`, `PetscDualSpacePushforward()`, `PetscDualSpaceTransformType`

## Level

intermediate

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages